For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • GET/ic/workers/invoices/:invoice_id/pdf
      • POSTComplete individual contractor profile setup
      • POSTCreate a new worker
      • GETGet invoice details by ID
      • GETList of worker compliance documents
      • GETRetrieve worker transaction history
      • POSTSet up worker legal entity
LogoLogo
SupportDeel Home
EndpointsWorkers

Set up worker legal entity

POST
/onboarding/workers/legal-entity
POST
/rest/v2/onboarding/workers/legal-entity
$curl -X POST https://api.letsdeel.com/rest/v2/onboarding/workers/legal-entity \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "company": {
> "country": "US",
> "entity_type": "llc",
> "legal_company_name": "Evidence Corp LLC"
> },
> "personal": {
> "zip": "10001",
> "city": "New York",
> "street": "101 5th Ave"
> }
> }
>}'
1{
2 "data": {
3 "entity_type": "llc",
4 "company_type": "company",
5 "onboarding_step": "PROFILE_COMPLETED",
6 "legal_company_name": "Evidence Corp LLC"
7 }
8}

Independent contractors use this endpoint to complete legal-entity onboarding, triggering post-commit screening and background checks. Suitable for the IC Embedded flow in the public API. Token scopes: worker:write

Was this page helpful?
Previous

Changelog

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Legal entity setup payload with company, personal, and optional invoice details.
dataobjectRequired

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication